Skip to main content

Delete All Player Id Settings For Setting Type

DELETE 

/settings/v1/player/:player_id/setting_type/:setting_type_id/key

deprecated

DEPRECATED - Use v2 instead. Delete all player setting documents for a specific type

Required Permissions:

  • For any player (including themselves) any of: setting:*:*, setting:write

  • For the player themselves : setting:write:self

Request

Path Parameters

    player_id Player Idrequired
    setting_type_id Setting Type Idrequired

Header Parameters

    if-match any

    Precondition check if the resource's current ETag matches the provided values. * can be used to match any existing value.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-match for more information

    if-none-match any

    Precondition check if the resource's current ETag does NOT match the provided values. * can be used to match existing value, causing the request to fail.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-none-match for more information

    if-unmodified-since any

    Precondition check if the resource's Last-Modified date is older than the provided date. Ignored if the If-Match header is provided.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-unmodified-since for more information

Responses

Successful Response

Schema

    any

Loading...